@charset "utf-8";
/* CSS Document */


.photos_wrapper {
  padding:20px;	
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 30px;
  row-gap: 3em;
  background-color:#f7f6f6;
}

.photos_wrapper .photo_content  {
  background-color:#e1e8ed;
  height:380px;
  padding:14px;
}

.photo_box {
  height:240px;	
  background-color:#c4d9e6;
  display: flex;
	
}

.photo_holder {
	background-color:#bfd6e4;
	margin: auto;
	width:85%;
	height:85%;	
	background-color:white;
	display: flex;              /* establish flex container */
    flex-direction: column;     /* stack flex items vertically */
    justify-content: center;    /* center items vertically*/
    align-items: center;        /* center items horizontally */

}

.photo_holder .img
{

    margin: 5px;
    text-align: center;
}


.text_content {
  color:#5e637b;	
  padding-top: 5px;
}


#title {
	/*text-transform: uppercase;*/
	color:#282828;
	font-family:"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, "sans-serif";
	width:250px;
}

#book_author {
	font-family:"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, "sans-serif";
	border-bottom:1px dotted #000000;
}

#description {
	padding:14px 0 12px 0;
	font-family:Verdana, "sans-serif","Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans";
}

a:link.more_details, a:visited.more_details {
	color:#f73d04;
	font-weight: bold;
	text-decoration:none;
	font-size:12px;
}


.truncate_descr {
	  width: 250px;
	  display: -webkit-box;
	  -webkit-box-orient: vertical;
	  -webkit-line-clamp: 3;
	  overflow: hidden;
}
.truncate_title {
	  width: 250px;
	  display: -webkit-box;
	  -webkit-box-orient: vertical;
	  -webkit-line-clamp: 1;
	  overflow: hidden;
}

.details_box {
	padding-top:8px;
}

/* --------------------  Buttons section   ------------------------ */

section {
  width: 100%;
}


.left-half {
  float: left;
  width: 40%;

}

.right-half {
  float: left;
  width: 50%;
}

.button_modify a:link, .button_modify a:visited, .button_modify a:hover, .button_modify a:active, .button_delete a:link, .button_delete a:visited, .button_delete a:hover, .button_delete a:active{
	text-decoration:none; color:white;
}

.left-half, .right-half {
	text-align:center;
	text-transform: uppercase;
	font-weight:bold;
	letter-spacing: 1px;
}

.button_modify {
	margin-left:15px;
	/* -------------------------- Create button colors and effects ---------------------------------- */
	
	border: solid 1px #da7c0c;
	background: #f78d1d;
	background: -webkit-gradient(linear, left top, left bottom, from(#faa51a), to(#f47a20));
	background: -moz-linear-gradient(top,  #faa51a,  #f47a20);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f47a20');
	
}

.button_modify:active {
	background: -webkit-gradient(linear, left top, left bottom, from(#f47a20), to(#faa51a));
	background: -moz-linear-gradient(top,  #f47a20,  #faa51a);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#f47a20', endColorstr='#faa51a');
}

.button_modify:hover {
	background: #f47c20;
	background: -webkit-gradient(linear, left top, left bottom, from(#f88e11), to(#f06015));
	background: -moz-linear-gradient(top,  #f88e11,  #f06015);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#f88e11', endColorstr='#f06015');
}


.button_delete {
	margin-left:15px;
	/* -------------------------- Create button colors and effects ---------------------------------- */
	
	border: solid 1px #333333;
	background: #141414;
	background: -webkit-gradient(linear, left top, left bottom, from(#636363), to(#060606));                  
	background: -moz-linear-gradient(top,  #636363,  #060606);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#636363', endColorstr='#060606');
	
}

.button_delete:active {
	background: -webkit-gradient(linear, left top, left bottom, from(#060606), to(#636363));
	background: -moz-linear-gradient(top,  #060606,  #636363);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#060606', endColorstr='#636363');
}

.button_delete:hover {
	background: #000000;
	background: -webkit-gradient(linear, left top, left bottom, from(#515151), to(#000000));
	background: -moz-linear-gradient(top,  #515151,  #000000);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#515151', endColorstr='#000000');
}


















